View Issue Details

IDProjectCategoryView StatusLast Update
0002613SketcherBugpublic2018-08-26 15:23
ReporterBaliroAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.16 
Target Version0.17Fixed in Version0.17 
Summary0002613: Create symmetric geometry with conic
DescriptionHi,
When I try to use Symmetry with conics I get strange results.
Also described here: http://forum.freecadweb.org/viewtopic.php?f=3&t=16262
Steps To Reproduce    New Sketch
    Add Conic (Part of ellipse)
    Select Conic + Vertical Line (or any other line)
    Click "Creates Symmetric geometry with respect to the last selected line or point"
Tagsconic, ellipse, Sketch, sketcher, symmetric

Activities

Baliro

2016-07-08 08:34

reporter  

bugFreeCAD.png (15,432 bytes)
bugFreeCAD.png (15,432 bytes)

Baliro

2016-07-08 08:41

reporter   ~0007178

Could someone pls move this bug from PartDesign to Sketcher?

Kunda1

2017-01-27 02:55

administrator   ~0008010

bumped thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=16262&p=156240#p156240

Kunda1

2017-01-27 11:47

administrator   ~0008022

Still reproducible on
OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17


P.S. This happens here too:
OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9802 (Git)
Build type: Release
Branch: master
Hash: bef81531eeb61b31d23b9603364511b76f1f9633
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0

Kunda1

2017-07-11 20:17

administrator   ~0009718

@DeepSOIC can reproduce
DeepSOIC wrote


I can reproduce (but only when mirroring against a line).

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7668 (Git)
Build type: Release
Branch: BodyBase3
Hash: ef872d37a8a365aeb04567d80616b28a826ed41c
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Kunda1

2017-07-12 21:29

administrator   ~0009749

Assigned to Abdullah per his post on the forum thread

wmayer

2017-10-16 13:59

administrator   ~0010299

fix for arc of ellipse: https://github.com/FreeCAD/FreeCAD/commit/520ec2c095784e80f434ef1eb163be88d0946b40
fix for hyperbola: https://github.com/FreeCAD/FreeCAD/commit/c9fb7985f97cccb89c6c51665dde6a92ba3a7746
fix for parabola: https://github.com/FreeCAD/FreeCAD/commit/6786bb4c79e2a5b27802997660236c68b41a263c

Issue History

Date Modified Username Field Change
2016-07-08 08:34 Baliro New Issue
2016-07-08 08:34 Baliro File Added: bugFreeCAD.png
2016-07-08 08:39 Baliro Tag Attached: sketcher
2016-07-08 08:39 Baliro Tag Attached: conic
2016-07-08 08:39 Baliro Tag Attached: ellipse
2016-07-08 08:39 Baliro Tag Attached: Sketch
2016-07-08 08:39 Baliro Tag Attached: symmetric
2016-07-08 08:41 Baliro Note Added: 0007178
2016-07-17 11:46 wmayer Project PartDesign => Sketcher
2017-01-27 02:55 Kunda1 Note Added: 0008010
2017-01-27 02:55 Kunda1 Status new => feedback
2017-01-27 02:55 Kunda1 Tag Attached: #pending
2017-01-27 11:47 Kunda1 Note Added: 0008022
2017-01-27 11:48 Kunda1 Status feedback => confirmed
2017-07-11 20:17 Kunda1 Note Added: 0009718
2017-07-11 20:17 Kunda1 Target Version => 0.17
2017-07-12 21:28 Kunda1 Assigned To => abdullah
2017-07-12 21:28 Kunda1 Status confirmed => assigned
2017-07-12 21:29 Kunda1 Note Added: 0009749
2017-10-16 13:59 wmayer Status assigned => closed
2017-10-16 13:59 wmayer Resolution open => fixed
2017-10-16 13:59 wmayer Fixed in Version => 0.17
2017-10-16 13:59 wmayer Note Added: 0010299
2018-08-26 15:23 Kunda1 Tag Detached: #pending